import 'package:niogu_app/features/goods/products/domain/entities/category.dart';

abstract class ICategoryRepository {
  Stream<List<Category>> watchCategories();

  Future<List<Category>> fetchCategories();

  Future<Category?> fetchCategoryById(String id);

  Future<void> addCategory(Category category);

  Future<void> updateCategory(String id, String name, String? imagePath);
}
